Subject: Re: bug#51311: [PATCH] echo: update --help to document edge cases

From: Bernhard Voelker <[email-masked]>
Date: Fri, 22 Oct 2021 16:58:33 +0200

On 10/22/21 16:21, Pádraig Brady wrote:
> Thanks for all the input.
> I've now pushed the following to address this:
> 
> https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=f60a3981c
> 
> Notes:
>   - Brevity in --help and man pages is a feature
>   - I kept the existing NOTE: style in --help to avoid a separate [NOTES] in man
>   - I only detailed the edge cases in the info manual,
>       as directing users to printf(1) is the better most general option
>   - It's easy to get to online info pages now by following the link
>       at the bottom of all man pages

Thanks, I like it.

FWIW the biggest trap for users is still that in ~95% of the cases it is the
shell's builtin which gets called instead of that of the coreutils.
Hence, we've been improving the documentation for the users which
unsuspectingly read coreutils 'man echo' instead of that of the shell.

Have a nice day,
Berny